package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.batch.Batopn;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface BatopnMapper {

    int deleteByPrimaryKey(Batopn record);

    int insert(Batopn record);

    int insertSelective(Batopn record);

    Batopn selectByPrimaryKey(Batopn record);

    int updateByPrimaryKeySelective(Batopn record);

    int updateByPrimaryKey(Batopn record);

    int deleteByTrninr(@Param("trninr") String trninr);

    Batopn selectByOwnref(@Param("ownref") String ownref);

}
